### Method

# Gio MenuModel items_changed

since: 2.32

#### Declaration

    void
    g_menu_model_items_changed (
      GMenuModel* model,
      gint position,
      gint removed,
      gint added
    )

#### Description

Requests emission of the `GMenuModel::items-changed` signal on `model`.

This function should never be called except by `GMenuModel` subclasses. Any other calls to this function will very likely lead to a violation of the interface of the model.

The implementation should update its internal representation of the menu before emitting the signal. The implementation should further expect to receive queries about the new state of the menu (and particularly added menu items) while signal handlers are running.

The implementation must dispatch this call directly from a mainloop entry and not in response to calls — particularly those from the `GMenuModel` API. Said another way: the menu must not change while user code is running without returning to the mainloop.

Available since: 2.32

#### Parameters

`position`

  Type: `gint`

  The position of the change.

`removed`

  Type: `gint`

  The number of items removed.

`added`

  Type: `gint`

  The number of items added.